export declare enum BuildActivityStatus {
    InProgress = "IN_PROGRESS",
    NotStarted = "NOT_STARTED",
    Failed = "FAILED",
    Interrupted = "INTERRUPTED",
    Success = "SUCCESS"
}
export declare enum BuildActivityType {
    Progress = "PROGRESS",
    Spinner = "SPINNER",
    Pending = "PENDING",
    Success = "SUCCESS",
    Hidden = "HIDDEN"
}
export declare enum StructuredLogLevel {
    All = "ALL",
    Log = "LOG",
    Warning = "WARNING",
    Info = "INFO",
    Success = "SUCCESS",
    Debug = "DEBUG",
    Error = "ERROR"
}
export declare type BuildLogItem = {
    id: string;
    message?: string | null;
    level?: StructuredLogLevel | null;
    activity?: BuildActivity | null;
    filePath?: string | null;
    context?: {
        [k: string]: string;
    } | null;
};
export declare type BuildActivity = {
    id: string;
    name?: string | null;
    message?: string | null;
    type: BuildActivityType;
    status: BuildActivityStatus;
    duration?: number | null;
    current?: number | null;
    total?: number | null;
};
