import PropTypes from "prop-types";
import { ButtonProps } from "../Button/Button";
export declare type GetLabelFn = (copied: boolean) => string;
export declare type CopyButtonProps = ButtonProps & {
    content: string;
    getButtonLabel?: GetLabelFn;
    getButtonTitle?: GetLabelFn;
    delay?: number;
};
declare function CopyButton({ onClick, content, getButtonLabel, getButtonTitle, delay, children, ...props }: CopyButtonProps): JSX.Element;
declare namespace CopyButton {
    var propTypes: {
        content: PropTypes.Validator<string>;
        delay: PropTypes.Requireable<number>;
        onClick: PropTypes.Requireable<(...args: any[]) => any>;
        getButtonLabel: PropTypes.Requireable<(...args: any[]) => any>;
        type: PropTypes.Requireable<string>;
    };
}
export default CopyButton;
