import * as React from "react";
import { HeadingProps } from "../Heading";
import { ButtonProps } from "../Button";
import { LinkButtonProps } from "../LinkButton";
import { AnchorButtonProps } from "../AnchorButton";
import { LinkProps } from "../Link";
export declare type EmptyStateVariant = `DEFAULT` | `BORDERED` | `WITH_BACKGROUND`;
export declare type EmptyStateProps = {
    heading: React.ReactNode;
    headingAs?: HeadingProps["as"];
    text: React.ReactNode;
    graphic?: React.ReactNode;
    variant?: EmptyStateVariant;
    primaryAction?: React.ReactNode;
    secondaryAction?: React.ReactNode;
};
export declare function EmptyState({ heading, headingAs, text, graphic, variant, primaryAction, secondaryAction, }: EmptyStateProps): JSX.Element;
export declare type EmptyStatePrimaryActionProps = Omit<ButtonProps, "variant" | "size" | "tone"> | Omit<LinkButtonProps, "variant" | "size" | "tone"> | Omit<AnchorButtonProps, "variant" | "size" | "tone">;
export declare function EmptyStatePrimaryAction(props: EmptyStatePrimaryActionProps): JSX.Element;
export declare type EmptyStateSecondaryActionProps = LinkProps;
export declare function EmptyStateSecondaryAction(props: EmptyStateSecondaryActionProps): JSX.Element;
