import { ThemeSpace, ThemeMediaBreakpoint } from "../../theme";
export declare type SpacerSize = ThemeSpace;
export declare type SpacerDirection = `horizontal` | `vertical`;
export declare type SpacerProps = {
    size: SpacerSize;
    responsiveSize?: Partial<{
        [MediaBreakpoint in ThemeMediaBreakpoint]: SpacerSize;
    }>;
    direction?: SpacerDirection;
    responsiveDirection?: Partial<{
        [MediaBreakpoint in ThemeMediaBreakpoint]: SpacerDirection;
    }>;
    className?: string;
};
export declare function Spacer({ size, direction, responsiveSize, responsiveDirection, className, }: SpacerProps): JSX.Element;
