import { Interpolation } from "@emotion/serialize";
import { Theme, ThemeSpace, ThemeMediaBreakpoint } from "../../theme";
export declare type ClusterGap = ThemeSpace | string;
declare type ResponsiveClusterGap = {
    gap: ClusterGap;
    verticalGap?: ClusterGap;
};
export declare type ResponsiveClusterGaps = Partial<Record<ThemeMediaBreakpoint, ResponsiveClusterGap>>;
export declare type ClusterAlign = `center` | `left` | `right`;
export declare type ClusterAlignCss = `center` | `flex-start` | `flex-end`;
export declare type GetClusterStylesParams = {
    gap?: ClusterGap;
    verticalGap?: ClusterGap;
    responsiveGaps?: ResponsiveClusterGaps;
    align?: ClusterAlign;
    theme?: Theme;
};
export declare type GetClusterStylesReturn = {
    clusterCss: Interpolation;
    clusterItemCss: Interpolation;
};
export declare function getClusterStyles(params?: GetClusterStylesParams): GetClusterStylesReturn;
export {};
