import { ErrorValidationMode } from "../types";
export declare type AriaFormFieldData = {
    controlProps: {
        id: string;
        "aria-describedby": string | undefined;
        "aria-invalid": boolean;
        required: boolean;
    };
    labelProps: {
        htmlFor: string;
    };
    hintProps: {
        id: string;
        hidden: boolean;
    };
    errorProps: {
        id: string;
        hidden: boolean;
        "aria-live": `polite` | `assertive` | `off` | undefined;
    };
};
export declare function useAriaFormField(fieldId: string, { required, hasError, hasHint, validationMode, }: {
    required?: boolean;
    hasError?: boolean;
    hasHint?: boolean;
    validationMode?: ErrorValidationMode;
}): AriaFormFieldData;
