import { Interpolation } from "@emotion/serialize";
import { Theme, ThemeSpace, ThemeMediaBreakpoint } from "../../theme";
export declare type StackGap = ThemeSpace | string;
export declare type ResponsiveStackGap = Partial<Record<ThemeMediaBreakpoint, StackGap>>;
export declare type StackAlign = `stretch` | `center` | `left` | `right`;
export declare type StackAlignCSS = `stretch` | `center` | `flex-start` | `flex-end`;
export declare type StackDirection = `column` | `row`;
export declare type GetStackStylesParams = {
    gap?: StackGap;
    responsiveGap?: ResponsiveStackGap;
    align?: StackAlign;
    direction?: StackDirection;
    theme?: Theme;
};
export declare type GetStackStylesReturn = {
    stackCss: Interpolation;
    stackItemCss: Interpolation;
};
export declare function getStackStyles(params?: GetStackStylesParams): GetStackStylesReturn;
