import { useRef, useEffect, createElement } from 'react';
import _pt from 'prop-types';
import _extends from '../../node_modules/@babel/runtime/helpers/esm/extends.esm.js';
import { FOCUS_AUTO } from '../../../focus-lock/dist/es2015/constants.esm.js';
import { mediumEffect } from './medium.esm.js';
import { inlineProp } from './util.esm.js';

function MoveFocusInside(_ref) {
  var isDisabled = _ref.disabled,
      className = _ref.className,
      children = _ref.children;
  var ref = useRef(null);
  var disabled = useRef(isDisabled);

  var moveFocus = function moveFocus() {
    var observed = ref.current;
    mediumEffect.useMedium(function (car) {
      if (!disabled.current && observed) {
        if (!car.focusInside(observed)) {
          car.moveFocusInside(observed, null);
        }
      }
    });
  };

  useEffect(function () {
    disabled.current = isDisabled;
    moveFocus();
  }, [isDisabled]);
  return createElement("div", _extends({}, inlineProp(FOCUS_AUTO, !isDisabled), {
    ref: ref,
    className: className
  }), children);
}

MoveFocusInside.propTypes = process.env.NODE_ENV !== "production" ? {
  children: _pt.node.isRequired,
  disabled: _pt.bool,
  className: _pt.string
} : {};
MoveFocusInside.defaultProps = {
  disabled: false,
  className: undefined
};
//# sourceMappingURL=MoveFocusInside.esm.js.map
