import { assignRef } from './assignRef.esm.js';
import { useCallbackRef } from './useRef.esm.js';

function useMergeRefs(refs, defaultValue) {
    return useCallbackRef(defaultValue, function (newValue) {
        return refs.forEach(function (ref) { return assignRef(ref, newValue); });
    });
}

export { useMergeRefs };
//# sourceMappingURL=useMergeRef.esm.js.map
