// The following is based on textFit library https://github.com/STRML/textFit
function fitText(_ref) {
  var _ref$maxWidth = _ref.maxWidth,
      maxTextWidth = _ref$maxWidth === void 0 ? 1 : _ref$maxWidth,
      minFontSizeInRem = _ref.minFontSizeInRem,
      maxFontSizeInRem = _ref.maxFontSizeInRem;
  return function (element) {
    if (!element) {
      return;
    }

    var parent = element.parentElement;

    if (!parent) {
      return;
    } // Get base font size so that we can parse rem into px


    var baseFontSize = parseFloat(window.getComputedStyle(document.documentElement).fontSize);
    var low = baseFontSize * minFontSizeInRem;
    var high = baseFontSize * maxFontSizeInRem;
    var maxWidth = parent.clientWidth * maxTextWidth;
    var maxHeight = parent.clientHeight * maxWidth;
    var fontSize = low;
    var mid; // Binary search to find the most fitting font size

    while (low <= high) {
      mid = (high + low) / 2;
      element.style.fontSize = mid + "px";

      if (element.scrollWidth <= maxWidth && element.scrollHeight <= maxHeight) {
        fontSize = mid;
        low = mid + 1;
      } else {
        high = mid - 1;
      }
    }

    element.style.fontSize = "".concat(fontSize, "px");
  };
}

export { fitText };
//# sourceMappingURL=Avatar.helpers.esm.js.map
