import { objectWithoutProperties as _objectWithoutProperties, extends as _extends } from '../../../_virtual/_rollupPluginBabelHelpers.js';
import { jsx } from '@emotion/core';
import BaseText from '../BaseText/BaseText.esm.js';
import { baseStyle, sizeStyles, variantStyles } from './Text.helpers.esm.js';

function Text(_ref) {
  var _ref$tone = _ref.tone,
      tone = _ref$tone === void 0 ? "NEUTRAL" : _ref$tone,
      _ref$variant = _ref.variant,
      variant = _ref$variant === void 0 ? "PRIMARY" : _ref$variant,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? "M" : _ref$size,
      rest = _objectWithoutProperties(_ref, ["tone", "variant", "size"]);

  return jsx(BaseText, _extends({
    css: function css(theme) {
      return [baseStyle(tone)(theme), sizeStyles[size](theme), variantStyles[variant](theme)];
    }
  }, rest));
}

Text.__docgenInfo = {
  "description": "",
  "methods": [],
  "displayName": "Text",
  "props": {
    "tone": {
      "defaultValue": {
        "value": "`NEUTRAL`",
        "computed": false
      },
      "required": false,
      "tsType": {
        "name": "TextTone"
      },
      "description": ""
    },
    "variant": {
      "defaultValue": {
        "value": "`PRIMARY`",
        "computed": false
      },
      "required": false,
      "tsType": {
        "name": "TextVariant"
      },
      "description": ""
    },
    "size": {
      "defaultValue": {
        "value": "`M`",
        "computed": false
      },
      "required": false,
      "tsType": {
        "name": "TextSize"
      },
      "description": ""
    }
  }
};

if (typeof STORYBOOK_REACT_CLASSES !== "undefined") {
  STORYBOOK_REACT_CLASSES["src/components/Text/Text.tsx"] = {
    name: "Text",
    docgenInfo: Text.__docgenInfo,
    path: "src/components/Text/Text.tsx"
  };
}

export default Text;
//# sourceMappingURL=Text.esm.js.map
