import { createContext, useContext } from 'react';

var ToastContext = createContext({
  showToast: function showToast() {
    return undefined;
  }
});
function useToastContext() {
  var context = useContext(ToastContext);

  if (!context) {
    throw new Error("Toast hooks cannot be used outside the ToastProvider component");
  }

  return context;
}

export { ToastContext, useToastContext };
//# sourceMappingURL=ToastContext.esm.js.map
