var breakpoints = {
  mobile: 360,
  phablet: 550,
  tablet: 750,
  desktop: 1000,
  hd: 1300
};
/**
 * ThemeUI expects "breakpoints" scale to consist of
 * strings representing each breakpoint with a CSS length unit INCLUDED
 * ordered in mobile-first order
 *
 * Hence we need to extract values from our "breakpoints" object,
 * sort them in ascending order and append "px" unit
 */

var breakpointsInPixels = Object.values(breakpoints);
breakpointsInPixels.sort(function (a, b) {
  return a - b;
});
var breakpointsList = breakpointsInPixels.map(function (breakpoint) {
  return "".concat(breakpoint, "px");
});

export default breakpoints;
export { breakpointsList };
//# sourceMappingURL=breakpoints.esm.js.map
