export declare type BreakpointToken = `mobile` | `phablet` | `tablet` | `desktop` | `hd`;
export declare type Breakpoints = Record<BreakpointToken, number>;
declare const breakpoints: Breakpoints;
/**
 * ThemeUI expects "breakpoints" scale to consist of
 * strings representing each breakpoint with a CSS length unit INCLUDED
 * ordered in mobile-first order
 *
 * Hence we need to extract values from our "breakpoints" object,
 * sort them in ascending order and append "px" unit
 */
export declare type BreakpointsList = [string, string, string, string, string];
export declare const breakpointsList: BreakpointsList;
export default breakpoints;
