/**
  Some components are impure - a good example is DecorativeDots,
  which purposefully produces a different value for every
  instance.

  This works fine in dev/prod, but causes problems with our
  tests - snapshot tests expect consistent UI given a set of
  props!

  These functions can be used instead, which provide consistent
  values while in the 'test' environment.
*/
export declare const testSafeMathRandom: (defaultValue?: number) => number;
export declare const testSafeSample: (arr: Array<any>, defaultIndex?: number) => any;
